Subject: TCP "Road Map"

From: Mark Townsley <[email-masked]>
Date: Tue, 18 Mar 2008 11:08:21 +0100

I'm forwarding this note on from Aaron Falk. It describes the Transport 
Area's attempt to bring sense to its own plethora of documents 
surrounding TCP. It may or may not be exactly what DNS needs, but it is 
probably a good idea to at least consider this precedent as food for 
thought right now.

- Mark

> Hi Mark-
>
> The TCP Roadmap (RFC4614) is intended to help folks, particularly  
> implementers, understand how the many related RFCs fit together.  The  
> document introduction explains the scope and purpose well and, as it  
> doesn't require any knowledge of TCP, I'm appending it below.  Note  
> that is an Informational Track RFC and doesn't update any standards --  
> it is intended to be a helper-document.  IMO, this is an excellent way  
> to make IETF documents more usable.
>
> --aaron
>
> 1.  Introduction
>
>    A correct and efficient implementation of the Transmission Control
>    Protocol (TCP) is a critical part of the software of most Internet
>    hosts.  As TCP has evolved over the years, many distinct documents
>    have become part of the accepted standard for TCP.  At the same  
> time,
>    a large number of more experimental modifications to TCP have also
>    been published in the RFC series, along with informational notes,
>    case studies, and other advice.
>
>    As an introduction to newcomers and an attempt to organize the
>    plethora of information for old hands, this document contains a
>    "roadmap" to the TCP-related RFCs.  It provides a brief summary of
>    the RFC documents that define TCP.  This should provide guidance to
>    implementers on the relevance and significance of the standards- 
> track
>    extensions, informational notes, and best current practices that
>    relate to TCP.
>
>
>
>
>
>
> Duke, et al.                 Informational                      [Page 2]
> RFC 4614                      TCP Roadmap                 September 2006
>
>
>    This document is not an update of RFC 1122 and is not a rigorous
>    standard for what needs to be implemented in TCP.  This document is
>    merely an informational roadmap that captures, organizes, and
>    summarizes most of the RFC documents that a TCP implementer,
>    experimenter, or student should be aware of.  Particular comments or
>    broad categorizations that this document makes about individual
>    mechanisms and behaviors are not to be taken as definitive, nor
>    should the content of this document alone influence implementation
>    decisions.
>
>    This roadmap includes a brief description of the contents of each
>    TCP-related RFC.  In some cases, we simply supply the abstract or a
>    key summary sentence from the text as a terse description.  In
>    addition, a letter code after an RFC number indicates its category  
> in
>    the RFC series (see BCP 9 [RFC2026] for explanation of these
>    categories):
>
>       S - Standards Track (Proposed Standard, Draft Standard, or
>           Standard)
>
>       E - Experimental
>
>       B - Best Current Practice
>
>       I - Informational
>
>    Note that the category of an RFC does not necessarily reflect its
>    current relevance.  For instance, RFC 2581 is nearly universally
>    deployed although it is only a Proposed Standard.  Similarly, some
>    Informational RFCs contain significant technical proposals for
>    changing TCP.
>
>    This roadmap is divided into four main sections.  Section 2 lists  
> the
>    RFCs that describe absolutely required TCP behaviors for proper
>    functioning and interoperability.  Further RFCs that describe
>    strongly encouraged, but non-essential, behaviors are listed in
>    Section 3.  Experimental extensions that are not yet standard
>    practices, but that potentially could be in the future, are  
> described
>    in Section 4.
>
>    The reader will probably notice that these three sections are  
> broadly
>    equivalent to MUST/SHOULD/MAY specifications (per RFC 2119), and
>    although the authors support this intuition, this document is merely
>    descriptive; it does not represent a binding standards-track
>    position.  Individual implementers still need to examine the
>    standards documents themselves to evaluate specific requirement
>    levels.
>
>
>
>
> Duke, et al.                 Informational                      [Page 3]
> RFC 4614                      TCP Roadmap                 September 2006
>
>
>    A small number of older experimental extensions that have not been
>    widely implemented, deployed, and used are noted in Section 5.  Many
>    other supporting documents that are relevant to the development,
>    implementation, and deployment of TCP are described in Section 6.
>    Within each section, RFCs are listed in the chronological order of
>    their publication dates.
>
>    A small number of fairly ubiquitous important implementation
>    practices that are not currently documented in the RFC series are
>    listed in Section 7.
>
>
>   

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>